## ros-galactic-launch-testing 0.17.2

=== debian/changelog ===
ros-galactic-launch-testing (0.17.2-1focal) focal; urgency=high

  * Inherit markers from generate_test_description (#675 <https://github.com/ros2/launch/issues/675>)
  * Fix Typo (#643 <https://github.com/ros2/launch/issues/643>)
  * Add compatitibility with pytest 7 (#629 <https://github.com/ros2/launch/issues/629>)
  * Mention that ready_fn in generate_test_description is deprecated (#623 <https://github.com/ros2/launch/issues/623>)
  * Switch to using a comprehension for process_names. (#616 <https://github.com/ros2/launch/issues/616>)
  * Contributors: Bi0T1N, Chris Lalancette, Kenji Brameld, Scott K Logan, Shane Loretz

 -- William Woodall <william@osrfoundation.org>  Fri, 02 Dec 2022 08:00:00 -0000

ros-galactic-launch-testing (0.17.1-1focal) focal; urgency=high

  * Fix launch_testing README.md proc keyword to process. (#554 <https://github.com/ros2/launch/issues/554>) (#561 <https://github.com/ros2/launch/issues/561>)
    Co-authored-by: Michael McConnell <mailto:Michael.McConnell-2@leidos.com>
  * Contributors: Jacob Perron

 -- William Woodall <william@osrfoundation.org>  Thu, 28 Apr 2022 07:00:00 -0000

ros-galactic-launch-testing (0.17.0-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-galactic-launch-testing (0.16.0-1focal) focal; urgency=high

  * Use unittest.mock instead of mock (#487 <https://github.com/ros2/launch/issues/487>)
  * Contributors: Michel Hidalgo

 -- William Woodall <william@osrfoundation.org>  Fri, 19 Mar 2021 07:00:00 -0000

ros-galactic-launch-testing (0.15.0-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-galactic-launch-testing (0.14.0-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-galactic-launch-testing (0.13.0-1focal) focal; urgency=high

  * Update package maintainers (#465 <https://github.com/ros2/launch/issues/465>)
  * Contributors: Michel Hidalgo

 -- William Woodall <william@osrfoundation.org>  Wed, 04 Nov 2020 08:00:00 -0000

ros-galactic-launch-testing (0.12.0-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 18 Aug 2020 07:00:00 -0000

ros-galactic-launch-testing (0.11.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 14 Aug 2020 07:00:00 -0000

ros-galactic-launch-testing (0.11.0-1focal) focal; urgency=high

  * Disable cleanup of test cases once they have been run (#406 <https://github.com/ros2/launch/issues/406>)
  * Fix max() with empty sequence (#440 <https://github.com/ros2/launch/issues/440>)
  * Use unittest.TestCase.id() for pytest failure reprs. (#436 <https://github.com/ros2/launch/issues/436>)
  * Use unittest.TestCase.id() to put together jUnit XML output. (#435 <https://github.com/ros2/launch/issues/435>)
  * Claim ownership (#433 <https://github.com/ros2/launch/issues/433>)
  * Contributors: Dirk Thomas, Michel Hidalgo, Scott K Logan, William Woodall

 -- William Woodall <william@osrfoundation.org>  Tue, 04 Aug 2020 07:00:00 -0000

ros-galactic-launch-testing (0.10.2-1focal) focal; urgency=high

  * Set junit_family to xunit2 in pytest.ini
  * Stop using implicit variables in example testing.
  * Switch to from_parent to remove deprecation warning.
  * Fix new flake8 errors. (#420 <https://github.com/ros2/launch/issues/420>)
  * Remove uses of deprecated ready_fn. (#419 <https://github.com/ros2/launch/issues/419>)
  * Contributors: Chris Lalancette, Michel Hidalgo

 -- Pete Baughman <pete.baughman@apex.ai>  Tue, 26 May 2020 07:00:00 -0000

ros-galactic-launch-testing (0.10.1-1focal) focal; urgency=high

  * fixed depcrecation warning of imp to importlib (issue #387 <https://github.com/ros2/launch/issues/387>) (#407 <https://github.com/ros2/launch/issues/407>)
  * wait_for_ouput() repr includes actual text (#408 <https://github.com/ros2/launch/issues/408>)
  * Contributors: Shane Loretz, Zahi Kakish

 -- Pete Baughman <pete.baughman@apex.ai>  Fri, 08 May 2020 07:00:00 -0000

ros-galactic-launch-testing (0.10.0-1focal) focal; urgency=high

  * Improve jUnit output for launch tests when run with py.test (#404 <https://github.com/ros2/launch/issues/404>)
  * avoid deprecation warning, use from_parent (#402 <https://github.com/ros2/launch/issues/402>)
  * Warn that old-style ready_fn and test attributes will be deprecated (#346 <https://github.com/ros2/launch/issues/346>)
  * more verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * stop using constructors deprecated in pytest 5.4 (#391 <https://github.com/ros2/launch/issues/391>)
  * Add the ability to assert in stdout or stderr. (#378 <https://github.com/ros2/launch/issues/378>)
  * Add delay parameter to retry_on_failure decorator (#390 <https://github.com/ros2/launch/issues/390>)
  * Make RegisterEventHandler describe its sub-entities (#386 <https://github.com/ros2/launch/issues/386>)
  * Import test file without contaminating sys.modules (#360 <https://github.com/ros2/launch/issues/360>)
  * Update reference to example launch test file (#363 <https://github.com/ros2/launch/issues/363>)
  * Use imperative mood in docstrings. (#362 <https://github.com/ros2/launch/issues/362>)
  * Fix a documentation typo. (#361 <https://github.com/ros2/launch/issues/361>)
  * Fix junit XML when launch dies early (#358 <https://github.com/ros2/launch/issues/358>)
  * Contributors: Chris Lalancette, Dan Rose, Dirk Thomas, Jacob Perron, Michel Hidalgo, Peter Baughman, Steven! Ragnarök

 -- Pete Baughman <pete.baughman@apex.ai>  Fri, 24 Apr 2020 07:00:00 -0000

ros-galactic-launch-testing (0.9.5-1focal) focal; urgency=high

  * Make launch_testing.markers.retry_on_failure decorator more robust. (#352 <https://github.com/ros2/launch/issues/352>)
  * Contributors: Michel Hidalgo

 -- Pete Baughman <pete.baughman@apex.ai>  Wed, 13 Nov 2019 08:00:00 -0000


