=== debian/control ===
Source: ros-galactic-launch-testing
Section: misc
Priority: optional
Maintainer: William Woodall <william@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, ros-galactic-ament-copyright <!nocheck>, ros-galactic-ament-flake8 <!nocheck>, ros-galactic-ament-pep257 <!nocheck>, ros-galactic-launch <!nocheck>, ros-galactic-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-launch-testing
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ros-galactic-ament-index-python, ros-galactic-launch, ros-galactic-osrf-pycommon, ros-galactic-ros-workspace
Description: A package to create tests which involve launch files and multiple processes.
